scim_imengine.h File Reference

Defines scim::IMEngineFactoryBase and scim::IMEngineInstanceBase interfaces. More...

## Classes

class | scim::IMEngineError
| An exception class to hold IMEngine related errors. More...
class | scim::IMEngineFactoryBase
| The base class of the real input methods' IMEngineFactory classes. More...
class | scim::IMEngineInstanceBase
| The base class of the real input methods' IMEngineInstance classes. More...
class | scim::DummyIMEngineFactory
| A trivial IMEngine that do nothing. More...
class | scim::DummyIMEngineInstance

## Namespaces

namespace | scim

## Typedefs

typedef Pointer< IMEngineFactoryBase > | scim::IMEngineFactoryPointer
typedef Pointer< IMEngineInstanceBase > | scim::IMEngineInstancePointer
typedef Slot1< void, IMEngineInstanceBase * > | scim::IMEngineSlotVoid
typedef Slot2< void, IMEngineInstanceBase *, int > | scim::IMEngineSlotInt
typedef Slot2< void, IMEngineInstanceBase *, bool > | scim::IMEngineSlotBool
typedef Slot2< void, IMEngineInstanceBase *, const String & > | scim::IMEngineSlotString
typedef Slot2< void, IMEngineInstanceBase *, const WideString & > | scim::IMEngineSlotWideString
typedef Slot2< void, IMEngineInstanceBase *, const KeyEvent & > | scim::IMEngineSlotKeyEvent
typedef Slot2< void, IMEngineInstanceBase *, const LookupTable & > | scim::IMEngineSlotLookupTable
typedef Slot2< void, IMEngineInstanceBase *, const Property & > | scim::IMEngineSlotProperty
typedef Slot2< void, IMEngineInstanceBase *, const PropertyList & > | scim::IMEngineSlotPropertyList
typedef Slot3< void, IMEngineInstanceBase *, const String &, const Transaction & > | scim::IMEngineSlotStringTransaction
typedef Slot3< void, IMEngineInstanceBase *, const WideString &, const AttributeList & > | scim::IMEngineSlotWideStringAttributeList
typedef Slot5< bool, IMEngineInstanceBase *, WideString &, int &, int, int > | scim::IMEngineSlotGetSurroundingText
typedef Slot3< bool, IMEngineInstanceBase *, int, int > | scim::IMEngineSlotDeleteSurroundingText

## Enumerations

enum | scim::ClientCapability { scim::SCIM_CLIENT_CAP_ONTHESPOT_PREEDIT = (1 << 0) , scim::SCIM_CLIENT_CAP_SINGLE_LEVEL_PROPERTY = (1 << 1) , scim::SCIM_CLIENT_CAP_MULTI_LEVEL_PROPERTY = (1 << 2) , scim::SCIM_CLIENT_CAP_TRIGGER_PROPERTY = (1 << 3) , scim::SCIM_CLIENT_CAP_HELPER_MODULE = (1 << 4) , scim::SCIM_CLIENT_CAP_SURROUNDING_TEXT = (1 << 5) , scim::SCIM_CLIENT_CAP_ALL_CAPABILITIES = 0x3F }
| Enum values of all Client Capabilities bitmask. More...

## Detailed Description

Defines scim::IMEngineFactoryBase and scim::IMEngineInstanceBase interfaces.

scim::IMEngineFactoryBase and scim::IMEngineInstanceBase are the most important part of SCIM platform.

These interfaces are used to write input method engine modules.